%define ver_major 2.10

Name: gpdf
Version: %ver_major.0
Release: alt1

Summary: GNOME PDF viewer
License: GPL
Group: Office
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libgnomeui_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define libbonoboui_ver 2.8.1
%define desktop_file_utils_ver 0.8

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libbonoboui >= %libbonoboui_ver

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: menu-devel
BuildPreReq: gnome-common >= 2.8.0

# Automatically added by buildreq on Wed Dec 08 2004
BuildRequires: GConf2 ORBit2-devel esound fontconfig freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper tetex-core xorg-x11-devel xorg-x11-libs zlib-devel

%description
GPdf is a viewer for Portable Document Format (PDF) files for GNOME.
GPdf is based on the Xpdf program and uses additional GNOME libraries
for better desktop integration.

%define _libexecdir %_bindir

%prep
%setup -q -n %name-%version

%build
export LDFLAGS=-export-dynamic
%configure \
    --disable-install-schemas \
    --enable-a4-paper

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Publishing" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%gconf2_set bool /apps/gpdf/UI/Windows/show_sidebar true
%gconf2_set int /apps/gpdf/UI/Windows/sidebar_size 150
%update_menus
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/%name
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/gnome-2.0/ui/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README*

%changelog
* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Fri Mar 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.8.3-alt1
- 2.8.3

* Sun Jan 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Tue Dec 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- First build for Sisyphus.

